---
title: LDWS sendCecX Endpoint
slug: develop/ldws-sendcecx-endpoint
docTags: 
createdAt: 2025-03-11T07:03:32.131Z
---

:::hint{type="warning"}
This API is experimental and may change.
:::

## POST /v1/sendCecX/

Sends specified CEC payloads out of a player’s HDMI-1 port

**Request Body**

- `hexCommand` <font color="#704ae0">string</font>: The custom Cec command, in hexadecimal format, sent from the player to the connected display. You can use [https://www.cec-o-matic.com/](https://www.cec-o-matic.com/) to understand and convert commands.

**Request Example**

The example request parameters and headers are set as follows:

```text
POST /api/v1/sendCecX/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
```

This is the example request body:

```json
{
  "hexCommand": "4f36"
}
```

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true
    }
  }
}
```

**Failure Response Examples**

<font color="#B91C1C">400</font>: Invalid request parameter

<font color="#B91C1C">500</font>: Internal server error
